%global momorel 1
%global md5sum_src0 ba49bc35e2068f54893d3ea7031ad59c

Summary:    Netscape Portable Runtime
Name:       nspr
Version:    4.6.6
Release: %{momorel}m%{?dist}
License:    MPL and GPL and LGPL
URL:        http://www.mozilla.org/projects/nspr/
Group:      System Environment/Libraries
Provides:   mozilla-nspr
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
%NoSource 0 ftp://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v%{version}/src/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1:    nspr.pc.in 
Source2:    nspr-config-vars.in

Patch1:	    nspr-config-pc.patch
Patch2:	    nspr-ipv6-numerichost.patch
Patch3:     nspr-thread-cleanup.patch

%description
NSPR provides platform independence for non-GUI operating system 
facilities. These facilities include threads, thread synchronization, 
normal file and network I/O, interval timing and calendar time, basic 
memory management (malloc and free) and shared library linking.

%package devel
Summary:  Development libraries for the Netscape Portable Runtime
Group:    Development/Libraries
Requires: nspr = %{version}-%{release}
Requires: pkgconfig
Provides: mozilla-nspr-devel

%description devel
Header files for doing development with the Netscape Portable Runtime.

%prep
%setup -q

# Original nspr-config is not suitable for our distribution,
# because on different platforms it contains different dynamic content.
# Therefore we produce an adjusted copy of nspr-config that will be 
# identical on all platforms.
# However, we need to use original nspr-config to produce some variables
# that go into nspr.pc for pkg-config.

cp ./mozilla/nsprpub/config/nspr-config.in ./mozilla/nsprpub/config/nspr-config-pc.in

%patch1 -p0
%patch2 -p0
%patch3 -p0

cp %{SOURCE2} ./mozilla/nsprpub/config/

%build
./mozilla/nsprpub/configure \
                 --prefix=%{_prefix} \
                 --libdir=%{_libdir} \
                 --includedir=%{_includedir}/nspr4 \
%ifarch x86_64 ppc64 ia64 s390x
                 --enable-64bit \
%endif
                 --enable-optimize="$RPM_OPT_FLAGS" \
                 --disable-debug

%{__make}

%install

# Crack-tastic!

DESTDIR=%{buildroot} %{__make} real_install

NSPR_LIBS=`./config/nspr-config --libs`
NSPR_CFLAGS=`./config/nspr-config --cflags`
NSPR_VERSION=`./config/nspr-config --version`
%{__mkdir_p} %{buildroot}/%{_libdir}/pkgconfig
cat ./config/nspr-config-vars > \
                     $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/nspr.pc

cat %{SOURCE1} | sed -e "s,%%libdir%%,%{_libdir},g" \
                     -e "s,%%prefix%%,%{_prefix},g" \
                     -e "s,%%exec_prefix%%,%{_prefix},g" \
                     -e "s,%%includedir%%,%{_includedir}/nspr4,g" \
                     -e "s,%%NSPR_VERSION%%,$NSPR_VERSION,g" \
                     -e "s,%%FULL_NSPR_LIBS%%,$NSPR_LIBS,g" \
                     -e "s,%%FULL_NSPR_CFLAGS%%,$NSPR_CFLAGS,g" >> \
                     %{buildroot}/%{_libdir}/pkgconfig/nspr.pc

%{__mkdir_p} %{buildroot}/%{_bindir}
%{__cp} ./config/nspr-config %{buildroot}/%{_bindir}

# Get rid of the things we don't want installed (per upstream)
%{__rm} -rf \
   %{buildroot}/%{_bindir}/compile-et.pl \
   %{buildroot}/%{_bindir}/prerr.properties \
   %{buildroot}/%{_libdir}/libnspr4.a \
   %{buildroot}/%{_libdir}/libplc4.a \
   %{buildroot}/%{_libdir}/libplds4.a \
   %{buildroot}/%{_datadir}/aclocal/nspr.m4 \
   %{buildroot}/%{_includedir}/nspr4/md


%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig >/dev/null 2>/dev/null

%postun
/sbin/ldconfig >/dev/null 2>/dev/null

%files
%defattr(-,root,root)
%{_libdir}/libnspr4.so
%{_libdir}/libplc4.so
%{_libdir}/libplds4.so

%files devel
%defattr(-, root, root)
%{_includedir}/nspr4
%{_libdir}/pkgconfig/nspr.pc
%{_bindir}/nspr-config

%changelog
* Mon May 28 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.6.6-1m)
- Update to 4.6.6
- sync with fc-devel (nspr-4_6_6-1)

* Sat Feb 24 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.6.5-2m)
- sync with fc-devel (nspr-4_6_5-2)
--* Sat Feb 24 2007 Kai Engert <kengert@redhat.com> - 4.6.5-2
--- Update to latest ipv6 upstream patch
--- Add upstream patch to fix a thread cleanup issue
--- Now requires pkgconfig

* Thu Jan 25 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.6.5-1m)
- Update to 4.6.5

* Wed Nov 22 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.6.4-1m)
- Update to 4.6.4

* Sat Nov 11 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.6.3-1m)
- sync with fc-devel (nspr-4_6_3)

* Sun Feb 19 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (4.6.1-1m)
- update to 4.6.1

* Tue Nov  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (4.6-1m)
- import from fedora

* Fri Jul 15 2005 Christopher Aillon <caillon@redhat.com> 4.6-4
- Use the NSPR version numbering scheme reported by NSPR,
  which unfortunately is not exactly the same as the real
  version (4.6 != 4.6.0 according to RPM and pkgconfig).

* Fri Jul 15 2005 Christopher Aillon <caillon@redhat.com> 4.6-3
- Correct the CFLAGS reported by pkgconfig

* Tue Jul 12 2005 Christopher Aillon <caillon@redhat.com> 4.6-2
- Temporarily include the static libraries allowing nss and 
  its dependencies to build. 

* Tue Jul 12 2005 Christopher Aillon <caillon@redhat.com> 4.6-1
- Update to NSPR 4.6

* Wed Apr 20 2005 Christopher Aillon <caillon@redhat.com> 4.4.1-2
- NSPR doesn't have make install, but it has make real_install.  Use it.

* Thu Apr 14 2005 Christopher Aillon <caillon@redhat.com> 4.4.1-1
- Let's make an RPM.
